{
  "summary": {
    "generated_at": "2026-01-05T06:28:46Z",
    "total_nodes": 12,
    "reachable_count": 12,
    "authorized_ok_count": 12,
    "chainid_match_count": 12,
    "netversion_match_count": 12,
    "min_block": 600172,
    "max_block": 600172,
    "block_spread": 0,
    "port": 8545,
    "timeout_s": 4.0,
    "threads": 12,
    "host_header_candidates": [
      "localhost",
      "127.0.0.1",
      "rpc-http-pub.d-bis.org",
      "rpc.d-bis.org",
      "rpc2.d-bis.org",
      "rpc.public-0138.defi-oracle.io"
    ]
  },
  "nodes": [
    {
      "vmid": "2400",
      "ip": "192.168.11.240",
      "name": "thirdweb-rpc-1",
      "group": "thirdweb",
      "url": "http://192.168.11.240:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 209.3042240012437,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0xa",
        "peer_count": 10,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 24.19922437547939
      },
      "timings_ms": {
        "eth_chainId": 34.65247401618399,
        "net_version": 20.437498984392732,
        "web3_clientVersion": 8.177215000614524,
        "eth_blockNumber": 8.08577099815011,
        "eth_syncing": 18.78372801002115,
        "net_peerCount": 35.67215599468909,
        "eth_getBlockByNumber_latest": 20.66797998850234,
        "eth_gasPrice": 47.11697201128118,
        "txpool_status": 54.691244004061446
      }
    },
    {
      "vmid": "2401",
      "ip": "192.168.11.241",
      "name": "thirdweb-rpc-2",
      "group": "thirdweb",
      "url": "http://192.168.11.241:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 244.61791399517097,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 22.054942994145676
      },
      "timings_ms": {
        "eth_chainId": 18.06404598755762,
        "net_version": 28.190042008645833,
        "web3_clientVersion": 22.316313988994807,
        "eth_blockNumber": 22.644243988906965,
        "eth_syncing": 16.469063004478812,
        "net_peerCount": 14.677239989396185,
        "eth_getBlockByNumber_latest": 23.91309299855493,
        "eth_gasPrice": 30.16550198663026,
        "txpool_status": 29.37005099374801
      }
    },
    {
      "vmid": "2402",
      "ip": "192.168.11.242",
      "name": "thirdweb-rpc-3",
      "group": "thirdweb",
      "url": "http://192.168.11.242:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 211.45455999067053,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 26.601683617627714
      },
      "timings_ms": {
        "eth_chainId": 43.55476799537428,
        "net_version": 22.239308978896588,
        "web3_clientVersion": 44.49692298658192,
        "eth_blockNumber": 14.851286978228018,
        "eth_syncing": 19.862263987306505,
        "net_peerCount": 18.95658901776187,
        "eth_getBlockByNumber_latest": 19.709706015419215,
        "eth_gasPrice": 29.142622981453314,
        "txpool_status": 32.311962015228346
      }
    },
    {
      "vmid": "2500",
      "ip": "192.168.11.250",
      "name": "besu-rpc-1",
      "group": "public",
      "url": "http://192.168.11.250:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 235.1421419880353,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x5",
        "peer_count": 5,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 16.106308376038214
      },
      "timings_ms": {
        "eth_chainId": 8.07263600290753,
        "net_version": 19.951339985709637,
        "web3_clientVersion": 8.503045013640076,
        "eth_blockNumber": 10.339361004298553,
        "eth_syncing": 13.065495993942022,
        "net_peerCount": 32.84254600293934,
        "eth_getBlockByNumber_latest": 17.97318601165898,
        "eth_gasPrice": 18.10285699320957,
        "txpool_status": 13.77651101211086
      }
    },
    {
      "vmid": "2501",
      "ip": "192.168.11.251",
      "name": "besu-rpc-2",
      "group": "public",
      "url": "http://192.168.11.251:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 220.07263600244187,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x5",
        "peer_count": 5,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 20.134888000029605
      },
      "timings_ms": {
        "eth_chainId": 8.516814996255562,
        "net_version": 25.813157990342006,
        "web3_clientVersion": 12.52979098353535,
        "eth_blockNumber": 25.829403020907193,
        "eth_syncing": 16.173206007806584,
        "net_peerCount": 31.226926017552614,
        "eth_getBlockByNumber_latest": 16.46356299170293,
        "eth_gasPrice": 24.5262419921346,
        "txpool_status": 13.729653001064435
      }
    },
    {
      "vmid": "2502",
      "ip": "192.168.11.252",
      "name": "besu-rpc-3",
      "group": "public",
      "url": "http://192.168.11.252:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 216.89821299514733,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x5",
        "peer_count": 5,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 19.859983374772128
      },
      "timings_ms": {
        "eth_chainId": 25.73012199718505,
        "net_version": 8.89204500708729,
        "web3_clientVersion": 18.435241014230996,
        "eth_blockNumber": 15.901845006737858,
        "eth_syncing": 30.396582005778328,
        "net_peerCount": 18.58684598118998,
        "eth_getBlockByNumber_latest": 18.499022000469267,
        "eth_gasPrice": 22.43816398549825,
        "txpool_status": 28.4514460072387
      }
    },
    {
      "vmid": "2503",
      "ip": "192.168.11.253",
      "name": "besu-rpc-ali-0x8a",
      "group": "public",
      "url": "http://192.168.11.253:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 225.76094101532362,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 20.17840737607912
      },
      "timings_ms": {
        "eth_chainId": 23.39452999876812,
        "net_version": 12.720259022898972,
        "web3_clientVersion": 21.582928980933502,
        "eth_blockNumber": 14.230891014449298,
        "eth_syncing": 24.927457998273894,
        "net_peerCount": 17.178028996568173,
        "eth_getBlockByNumber_latest": 19.787113997153938,
        "eth_gasPrice": 27.606048999587074,
        "txpool_status": 12.09348501288332
      }
    },
    {
      "vmid": "2504",
      "ip": "192.168.11.254",
      "name": "besu-rpc-ali-0x1",
      "group": "public",
      "url": "http://192.168.11.254:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 249.22403998789378,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 27.107853871711995
      },
      "timings_ms": {
        "eth_chainId": 39.108716999180615,
        "net_version": 30.153163010254502,
        "web3_clientVersion": 24.81092300149612,
        "eth_blockNumber": 13.744370982749388,
        "eth_syncing": 23.651541996514425,
        "net_peerCount": 29.12292501423508,
        "eth_getBlockByNumber_latest": 21.19673098786734,
        "eth_gasPrice": 35.07445898139849,
        "txpool_status": 13.291779003338888
      }
    },
    {
      "vmid": "2505",
      "ip": "192.168.11.201",
      "name": "besu-rpc-luis-0x8a",
      "group": "named",
      "url": "http://192.168.11.201:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 210.86870299768634,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 43.280720492475666
      },
      "timings_ms": {
        "eth_chainId": 40.8415469864849,
        "net_version": 23.476241010939702,
        "web3_clientVersion": 37.75606697308831,
        "eth_blockNumber": 46.62965697934851,
        "eth_syncing": 29.82224998413585,
        "net_peerCount": 13.455817999783903,
        "eth_getBlockByNumber_latest": 99.22414700849913,
        "eth_gasPrice": 55.04003699752502,
        "txpool_status": 28.532739001093432
      }
    },
    {
      "vmid": "2506",
      "ip": "192.168.11.202",
      "name": "besu-rpc-luis-0x1",
      "group": "named",
      "url": "http://192.168.11.202:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 235.66022000159137,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 22.452598255767953
      },
      "timings_ms": {
        "eth_chainId": 13.764017989160493,
        "net_version": 21.194686996750534,
        "web3_clientVersion": 44.431727001210675,
        "eth_blockNumber": 15.676862007239833,
        "eth_syncing": 14.504188002320006,
        "net_peerCount": 14.279416005592793,
        "eth_getBlockByNumber_latest": 25.05695802392438,
        "eth_gasPrice": 30.712930019944906,
        "txpool_status": 27.076202997704968
      }
    },
    {
      "vmid": "2507",
      "ip": "192.168.11.203",
      "name": "besu-rpc-putu-0x8a",
      "group": "named",
      "url": "http://192.168.11.203:8545",
      "host_header_used": "127.0.0.1",
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 3594.6379319939297,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": null,
        "syncing_ok": false,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "gas_price_hex": null,
        "gas_price_wei": null,
        "txpool_supported": false,
        "method_errors": {
          "eth_syncing": "exception:TimeoutError:timed out",
          "eth_getBlockByNumber": "exception:TimeoutError:timed out",
          "eth_gasPrice": "exception:TimeoutError:timed out",
          "txpool_status": "exception:TimeoutError:timed out"
        },
        "avg_latency_ms": 932.4642751647237
      },
      "timings_ms": {
        "eth_chainId": 285.2672029985115,
        "net_version": 49.15790798258968,
        "web3_clientVersion": 84.25881099537946,
        "eth_blockNumber": 1008.4167789900675,
        "eth_syncing": 4002.9284589982126,
        "net_peerCount": 161.54652801924385,
        "eth_getBlockByNumber_latest": 4006.13842200255,
        "eth_gasPrice": 4006.869903008919,
        "txpool_status": 4004.2201580072287
      }
    },
    {
      "vmid": "2508",
      "ip": "192.168.11.204",
      "name": "besu-rpc-putu-0x1",
      "group": "named",
      "url": "http://192.168.11.204:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 219.93875899352133,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 32.8706532563956
      },
      "timings_ms": {
        "eth_chainId": 22.125990013591945,
        "net_version": 10.703167004976422,
        "web3_clientVersion": 18.786229979014024,
        "eth_blockNumber": 27.512084023328498,
        "eth_syncing": 21.888893010327592,
        "net_peerCount": 19.761934003327042,
        "eth_getBlockByNumber_latest": 43.672846019035205,
        "eth_gasPrice": 98.51408199756406,
        "txpool_status": 17.941801983397454
      }
    }
  ]
}